.kit.strike-text {
  position: relative;
  display: inline-block;
  &:after {
    content: attr(data-strike-text);
    position: absolute;
    top: calc(-100% - 0.625rem);
    text-align: center;
    background: #F37C7C;
    color: #fff;
    padding: 1px 6px;
    transform: translateX(-50%);
    margin-left: -50%;
    white-space: nowrap;
    font-weight: 700;
    line-height: 1.3;
  }
  &:before {
    content: '';
    position: absolute;
    width: 100%;
    right: 0;
    top: 50%;
    border: 1px solid #F37C7C;
  }
  &.right {
    margin-right: 5rem;
    &:after {
      top: 50%;
      transform: translateY(-50%);
      margin-left: 0.5rem;
    }
  }
  &.bottom {
    &:after {
      top: 100%;
    }
  }
}